创建应用
curl --request POST \
--url 'https://api.flashcat.cloud/rum/application/create?app_key=' \
--header 'Content-Type: application/json' \
--data '
{
"application_name": "我的 Web 应用",
"type": "browser",
"team_id": 2477033058131,
"is_private": false,
"links": {
"enabled": true,
"systems": [
{
"id": "s3-crash-logs",
"name": "S3 Crash Logs",
"icon_text": "S3",
"icon_color": "#0F766E",
"url": "https://s3.example.com/logs?app=${application_id}&trace=${trace_id}",
"event_types": [
"crash",
"error"
],
"enabled": true
}
]
}
}
'import requests
url = "https://api.flashcat.cloud/rum/application/create?app_key="
payload = {
"application_name": "我的 Web 应用",
"type": "browser",
"team_id": 2477033058131,
"is_private": False,
"links": {
"enabled": True,
"systems": [
{
"id": "s3-crash-logs",
"name": "S3 Crash Logs",
"icon_text": "S3",
"icon_color": "#0F766E",
"url": "https://s3.example.com/logs?app=${application_id}&trace=${trace_id}",
"event_types": ["crash", "error"],
"enabled": True
}
]
}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
application_name: '我的 Web 应用',
type: 'browser',
team_id: 2477033058131,
is_private: false,
links: {
enabled: true,
systems: [
{
id: 's3-crash-logs',
name: 'S3 Crash Logs',
icon_text: 'S3',
icon_color: '#0F766E',
url: 'https://s3.example.com/logs?app=${application_id}&trace=${trace_id}',
event_types: ['crash', 'error'],
enabled: true
}
]
}
})
};
fetch('https://api.flashcat.cloud/rum/application/create?app_key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4",
"data": {
"application_id": "qLpu24Dz4CAzWsESPbJYWA",
"application_name": "我的 Web 应用",
"client_token": "e090078724855a4ca168c3884880dfbc131"
}
}{
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4",
"error": {
"code": "InvalidParameter",
"message": "The specified parameter is not valid."
}
}{
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4",
"error": {
"code": "Unauthorized",
"message": "You are unauthorized."
}
}{
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4",
"error": {
"code": "RequestTooFrequently",
"message": "Request too frequently."
}
}{
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4",
"error": {
"code": "InternalError",
"message": "We encountered an internal error, and it has been reported. Please try again later."
}
}应用管理
创建应用
创建新的 RUM 应用,返回生成的 application_id 和 client_token。
POST
/
rum
/
application
/
create
创建应用
限制说明
| 项目 | 说明 |
|---|---|
| 速率限制 | 每个账户 1,000 次/分钟;50 次/秒 |
| 权限要求 | 应用管理(rum) |
使用说明
type须为以下之一:browser、ios、android、react-native、flutter、kotlin-multiplatform、roku、unity、miniprogram、harmony、electron。links.systems[].url必须以http或https开头;${var}变量会根据 RUM 事件上下文解析。links.systems[].event_types支持:crash、error、view、action、resource、session、all。client_token自动生成,用于初始化 RUM SDK。- 每次调用都会记录到账户审计日志,请不要把敏感信息放在请求字段中。
授权
在 Flashduty 控制台 账户 → APP Key 中签发的 app_key。调用任何公开 API 时都必须携带。它等同于所属账户的身份凭证,请妥善保管。
请求体
application/json
创建 RUM 应用的参数。
应用名称,1–40 个字符。
应用类型。平台标识,取值为 browser(浏览器 Web 应用)、ios(iOS 应用)、android(Android 应用)、react-native(React Native 应用)、flutter(Flutter 应用)、kotlin-multiplatform(Kotlin Multiplatform 应用)、roku(Roku 频道应用)、unity(Unity 应用)、miniprogram(微信小程序)、harmony(鸿蒙 HarmonyOS 应用)、electron(Electron 桌面应用)。
可用选项:
browser, ios, android, react-native, flutter, kotlin-multiplatform, roku, unity, miniprogram, harmony, electron 所属团队 ID,可通过 POST /team/list 获取。
是否仅限团队成员访问。
不采集 IP 地址。
不推断地理位置。
告警配置;不传则默认不启用(enabled 为 false)。
Show child attributes
Show child attributes
APM 链路追踪集成配置,可选。
Show child attributes
Show child attributes
外部链接集成配置,可选。
Show child attributes
Show child attributes
此页面对您有帮助吗?
⌘I